package com.palmnest.model.repair;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 报修
 *
 * @author dz
 * <p>
 * 2019年5月31日
 */
@Entity
@Table(name = "tb_repair_service")
public class RepairService implements Serializable {

	private static final long serialVersionUID = -1595915256658595732L;

	/**
	 *
	 */
	private Long       id;
	private String     s_no;
	private Byte       status;//维修单状态(1,已处理 0待处理)
	private String     repair_username;//'报修人',
	private Long       repair_user_id;//'报修人ID',
	private String     repair_phone;//'电话',
	private String     company_name;//'公司',
	private String     remarks;//'描述',
	private String     build_name;// '楼栋名称',
	private String     build_floor;//'楼层',
	private String     build_room;// '房间号',
	private Long       build_id;//'楼栋ID',
	private String     pic_url;//图片
	private Byte       source_type;// 下单源(1，PC；2，微信；3，Android；4，iOS),
	private BigDecimal repair_amount;// '维修费用',
	private Date       status_date;//状态时间
	private Long       created_by;//创建人ID
	private Date       created_at;//创建时间
	private Long       updated_by;//更新人ID
	private Date       updated_at;//更新时间
	private Long       org_id;//项目ID
	private Long       room_id;//房间号ID
	private Long       floor_id;//楼层ID

	public Long getRoom_id() {
		return room_id;
	}

	public void setRoom_id(Long room_id) {
		this.room_id = room_id;
	}

	public Long getFloor_id() {
		return floor_id;
	}

	public void setFloor_id(Long floor_id) {
		this.floor_id = floor_id;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "id", unique = true, nullable = false)
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Column(name = "s_no")
	public String getS_no() {
		return s_no;
	}

	public void setS_no(String s_no) {
		this.s_no = s_no;
	}

	public Byte getStatus() {
		return status;
	}

	public void setStatus(Byte status) {
		this.status = status;
	}

	public String getRepair_username() {
		return repair_username;
	}

	public void setRepair_username(String repair_username) {
		this.repair_username = repair_username;
	}

	public Long getRepair_user_id() {
		return repair_user_id;
	}

	public void setRepair_user_id(Long repair_user_id) {
		this.repair_user_id = repair_user_id;
	}

	public String getRepair_phone() {
		return repair_phone;
	}

	public void setRepair_phone(String repair_phone) {
		this.repair_phone = repair_phone;
	}

	public String getCompany_name() {
		return company_name;
	}

	public void setCompany_name(String company_name) {
		this.company_name = company_name;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getBuild_name() {
		return build_name;
	}

	public void setBuild_name(String build_name) {
		this.build_name = build_name;
	}

	public String getBuild_floor() {
		return build_floor;
	}

	public void setBuild_floor(String build_floor) {
		this.build_floor = build_floor;
	}

	public String getBuild_room() {
		return build_room;
	}

	public void setBuild_room(String build_room) {
		this.build_room = build_room;
	}

	public Long getBuild_id() {
		return build_id;
	}

	public void setBuild_id(Long build_id) {
		this.build_id = build_id;
	}

	public String getPic_url() {
		return pic_url;
	}

	public void setPic_url(String pic_url) {
		this.pic_url = pic_url;
	}

	public Byte getSource_type() {
		return source_type;
	}

	public void setSource_type(Byte source_type) {
		this.source_type = source_type;
	}

	public BigDecimal getRepair_amount() {
		return repair_amount;
	}

	public void setRepair_amount(BigDecimal repair_amount) {
		this.repair_amount = repair_amount;
	}

	public Date getStatus_date() {
		return status_date;
	}

	public void setStatus_date(Date status_date) {
		this.status_date = status_date;
	}

	public Long getCreated_by() {
		return created_by;
	}

	public void setCreated_by(Long created_by) {
		this.created_by = created_by;
	}

	public Date getCreated_at() {
		return created_at;
	}

	public void setCreated_at(Date created_at) {
		this.created_at = created_at;
	}

	public Long getUpdated_by() {
		return updated_by;
	}

	public void setUpdated_by(Long updated_by) {
		this.updated_by = updated_by;
	}

	public Date getUpdated_at() {
		return updated_at;
	}

	public void setUpdated_at(Date updated_at) {
		this.updated_at = updated_at;
	}


	public Long getOrg_id() {
		return org_id;
	}

	public void setOrg_id(Long org_id) {
		this.org_id = org_id;
	}
}
